<?php

namespace DigiComp\Menu\ViewHelpers;

/*
 * This file is part of the DigiComp.Menu package.
 *
 * (c) digital competence
 *
 * This package is Open Source Software. For the full copyright and license
 * information, please view the LICENSE file which was distributed with this
 * source code.
 */

use DigiComp\Menu\MenuService\ServiceInterface;
use Neos\Flow\Annotations as Flow;
use Neos\FluidAdaptor\Core\ViewHelper\AbstractViewHelper;
use Neos\FluidAdaptor\Core\ViewHelper\Exception;

/**
 * Just adds the return of MenuService
 * TODO: Write example
 */
class ItemsViewHelper extends AbstractViewHelper
{
    protected $escapeOutput = false;

    /**
     * @Flow\Inject
     * @var ServiceInterface
     */
    protected $menuService;

    /**
     * @throws Exception
     */
    public function initializeArguments(): void
    {
        $this->registerArgument('for', 'string', 'path in Menu.yaml', false);
        $this->registerArgument('as', 'string', 'Name in Frontend', false);
    }

    /**
     * @return mixed
     */
    public function render()
    {
        $this->templateVariableContainer->add(
            $this->arguments['as'],
            $this->menuService->getItems($this->arguments['for'])
        );
        return $this->renderChildren();
    }
}
